# NeverTileDiscardPolicy

#### new Cesium.NeverTileDiscardPolicy()
Scene/NeverTileDiscardPolicy.js 9

A `TileDiscardPolicy` specifying that tile images should never be discard.

##### See:

- DiscardMissingTileImagePolicy

### Methods

#### isReady() → Boolean
Scene/NeverTileDiscardPolicy.js 15

Determines if the discard policy is ready to process images.

##### Returns:

True if the discard policy is ready to process images; otherwise, false.

#### shouldDiscardImage(image) → Boolean
Scene/NeverTileDiscardPolicy.js 25

Given a tile image, decide whether to discard that image.

Name | Type | Description
--- | --- | ---
`image` | HTMLImageElement | An image to test.

##### Returns:

True if the image should be discarded; otherwise, false.